<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlCpuFault_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlCpuFault_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure to hold the MSS/radarSS CPU Fault data strucutre for event RL_DEV_AE_MSS_CPUFAULT_SB and RL_RF_AE_CPUFAULT_SB.  
 <a href="structrl_cpu_fault__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a520e6c124fcf10c1925a7232ebaefb7e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a520e6c124fcf10c1925a7232ebaefb7e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#a520e6c124fcf10c1925a7232ebaefb7e">faultType</a></td></tr>
<tr class="memdesc:a520e6c124fcf10c1925a7232ebaefb7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">0x0 RF Processor Undefined Instruction Abort <br />
 0x1 RF Processor Instruction pre-fetch Abort <br />
 0x2 RF Processor Data Access Abort <br />
 0x3 RF Processor Firmware Fatal Error <br />
 0x4 - 0xFF Reserved <br />
<br /></td></tr>
<tr class="separator:a520e6c124fcf10c1925a7232ebaefb7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd94c1a6e4e36b0e3f7cc13c389ca3de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd94c1a6e4e36b0e3f7cc13c389ca3de"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#abd94c1a6e4e36b0e3f7cc13c389ca3de">reserved</a></td></tr>
<tr class="memdesc:abd94c1a6e4e36b0e3f7cc13c389ca3de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:abd94c1a6e4e36b0e3f7cc13c389ca3de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62b3375d6deda309737175a9065e897e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62b3375d6deda309737175a9065e897e"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#a62b3375d6deda309737175a9065e897e">lineNum</a></td></tr>
<tr class="memdesc:a62b3375d6deda309737175a9065e897e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Valid only in case of FAULT type is 0x3, provides the source <br />
 line number at which fatal error occurred. <br />
. <br /></td></tr>
<tr class="separator:a62b3375d6deda309737175a9065e897e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eb955a32859734027b0e8b411c13e72"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5eb955a32859734027b0e8b411c13e72"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#a5eb955a32859734027b0e8b411c13e72">faultLR</a></td></tr>
<tr class="memdesc:a5eb955a32859734027b0e8b411c13e72"><td class="mdescLeft">&#160;</td><td class="mdescRight">The instruction PC address at which Fault occurred. <br /></td></tr>
<tr class="separator:a5eb955a32859734027b0e8b411c13e72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf97076eb198210d1140e3e229e934d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf97076eb198210d1140e3e229e934d7"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#aaf97076eb198210d1140e3e229e934d7">faultPrevLR</a></td></tr>
<tr class="memdesc:aaf97076eb198210d1140e3e229e934d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The return address of the function from which fault function <br />
 has been called (Call stack LR) <br />
. <br /></td></tr>
<tr class="separator:aaf97076eb198210d1140e3e229e934d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c6bf61047f8d365c10e4cd52902dfd2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c6bf61047f8d365c10e4cd52902dfd2"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#a9c6bf61047f8d365c10e4cd52902dfd2">faultSpsr</a></td></tr>
<tr class="memdesc:a9c6bf61047f8d365c10e4cd52902dfd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The CPSR register value at which fault occurred. <br /></td></tr>
<tr class="separator:a9c6bf61047f8d365c10e4cd52902dfd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9702490c4483efcada726621cd54b85f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9702490c4483efcada726621cd54b85f"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#a9702490c4483efcada726621cd54b85f">faultSp</a></td></tr>
<tr class="memdesc:a9702490c4483efcada726621cd54b85f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SP register value at which fault occurred. <br /></td></tr>
<tr class="separator:a9702490c4483efcada726621cd54b85f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbf764feb593ad97adecdb70f585fc00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbf764feb593ad97adecdb70f585fc00"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#adbf764feb593ad97adecdb70f585fc00">faultAddr</a></td></tr>
<tr class="memdesc:adbf764feb593ad97adecdb70f585fc00"><td class="mdescLeft">&#160;</td><td class="mdescRight">The address access at which Fault occurred (valid only for fault <br />
 type 0x0 to 0x2) <br />
. <br /></td></tr>
<tr class="separator:adbf764feb593ad97adecdb70f585fc00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0330a3b47d149e7afa5b03638b005a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0330a3b47d149e7afa5b03638b005a6"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#ac0330a3b47d149e7afa5b03638b005a6">faultErrStatus</a></td></tr>
<tr class="memdesc:ac0330a3b47d149e7afa5b03638b005a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The status of Error (Error Cause type - valid only for <br />
 fault type 0x0 to 0x2) <br />
 0x000 BACKGROUND_ERR <br />
 0x001 ALIGNMENT_ERR <br />
 0x002 DEBUG_EVENT <br />
 0x00D PERMISSION_ERR <br />
 0x008 SYNCH_EXTER_ERR <br />
 0x406 ASYNCH_EXTER_ERR <br />
 0x409 SYNCH_ECC_ERR <br />
 0x408 ASYNCH_ECC_ERR <br />
. <br /></td></tr>
<tr class="separator:ac0330a3b47d149e7afa5b03638b005a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5136c8ac47b352e91880c25b404dab9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5136c8ac47b352e91880c25b404dab9e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#a5136c8ac47b352e91880c25b404dab9e">faultErrSrc</a></td></tr>
<tr class="memdesc:a5136c8ac47b352e91880c25b404dab9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Source of the Error (Error Source type- valid only for fault type 0x0 to 0x2)<br />
 0x0 ERR_SOURCE_AXI_MASTER <br />
 0x1 ERR_SOURCE_ATCM <br />
 0x2 ERR_SOURCE_BTCM <br />
. <br /></td></tr>
<tr class="separator:a5136c8ac47b352e91880c25b404dab9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab30a093e8ec02dfcc54fcf6b4d08ccf6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab30a093e8ec02dfcc54fcf6b4d08ccf6"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#ab30a093e8ec02dfcc54fcf6b4d08ccf6">faultAxiErrType</a></td></tr>
<tr class="memdesc:ab30a093e8ec02dfcc54fcf6b4d08ccf6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The AXI Error type (Error Source type - valid only for fault type 0x0 to 0x2) <br />
 0x0 AXI_DECOD_ERR <br />
 0x1 AXI_SLAVE_ERR <br />
. <br /></td></tr>
<tr class="separator:ab30a093e8ec02dfcc54fcf6b4d08ccf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab68f713acac09b5c4404aeb7f938a373"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab68f713acac09b5c4404aeb7f938a373"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#ab68f713acac09b5c4404aeb7f938a373">faultAccType</a></td></tr>
<tr class="memdesc:ab68f713acac09b5c4404aeb7f938a373"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Error Access type (Error Access type- valid only for fault type 0x0 to 0x2) <br />
 0x0 READ_ERR <br />
 0x1 WRITE_ERR <br />
. <br /></td></tr>
<tr class="separator:ab68f713acac09b5c4404aeb7f938a373"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10563140fe4e4e6fc1c6e4c8c9bb24fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10563140fe4e4e6fc1c6e4c8c9bb24fb"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#a10563140fe4e4e6fc1c6e4c8c9bb24fb">faultRecovType</a></td></tr>
<tr class="memdesc:a10563140fe4e4e6fc1c6e4c8c9bb24fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Error Recovery type (Error Recovery type - Valid only for fault <br />
 type 0x0 to 0x2) <br />
 0x0 UNRECOVERY <br />
 0x1 RECOVERY <br />
. <br /></td></tr>
<tr class="separator:a10563140fe4e4e6fc1c6e4c8c9bb24fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ae8413d6f089b28c771b18ac3627b3f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ae8413d6f089b28c771b18ac3627b3f"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cpu_fault__t.html#a4ae8413d6f089b28c771b18ac3627b3f">reserved0</a></td></tr>
<tr class="memdesc:a4ae8413d6f089b28c771b18ac3627b3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a4ae8413d6f089b28c771b18ac3627b3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to hold the MSS/radarSS CPU Fault data strucutre for event RL_DEV_AE_MSS_CPUFAULT_SB and RL_RF_AE_CPUFAULT_SB. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
